subtle - Feature #240

Update styles to support sub-styles
07/28/2011 09:29 PM - Christoph Kappel

Status: Fixed Start date: 07/28/2011
Priority: Urgent Due date:

Assignee: Christoph Kappel % Done: 100%
Category: Feature Estimated time: 0.00 hour
Target version: Nu

Description

Styles like occupied and focus are logically just sub-styles of the :views style and should therefore use a special syntax. Also the

:urgent style should be available for view only.

Additionally the sub-styles can be used for styling of sublets independently as sub-styles of the :sublets style and replace the
foreground, background, text_fg and icon_fg config values. When icon_fg is gone another style value for icons is requiered.

Appropriate Subtlext methods (#style=) to set styles could replace the #foreground= and #background= methods of Subtlext::Sublet

and Subtle::Sublet.

History

#1 - 07/30/2011 06:00 PM - Christoph Kappel
- Status changed from Confirmed to Fixed

- % Done changed from 0 to 100

Applied in changeset 19814399e8c6.

#2 - 08/02/2011 12:51 PM - Christoph Kappel

- Subject changed from Update styles to support states to Update styles to support sub-styles
